aboutsummaryrefslogtreecommitdiffstats
path: root/brew.sh
diff options
context:
space:
mode:
authorSimen A. W. Olsen <cobraz@cobraz.no>2020-11-20 20:15:31 +0100
committerSimen A. W. Olsen <cobraz@cobraz.no>2020-11-20 20:15:31 +0100
commitadb6a5bb8e506a03d51f89cd065db15161dfe6e0 (patch)
tree6a474687e8e370a90134e83c347a9b83fbcda90e /brew.sh
downloaddotfiles-adb6a5bb8e506a03d51f89cd065db15161dfe6e0.tar.gz
dotfiles-adb6a5bb8e506a03d51f89cd065db15161dfe6e0.zip
first commit
Diffstat (limited to 'brew.sh')
-rw-r--r--brew.sh74
1 files changed, 74 insertions, 0 deletions
diff --git a/brew.sh b/brew.sh
new file mode 100644
index 0000000..e730a58
--- /dev/null
+++ b/brew.sh
@@ -0,0 +1,74 @@
+#!/usr/bin/env bash
+
+# Install command-line tools using Homebrew.
+
+# Make sure we’re using the latest Homebrew.
+brew update
+
+# Upgrade any already-installed formulae.
+brew upgrade
+
+# Save Homebrew’s installed location.
+BREW_PREFIX=$(brew --prefix)
+
+# Install GNU core utilities (those that come with macOS are outdated).
+# Don’t forget to add `$(brew --prefix coreutils)/libexec/gnubin` to `$PATH`.
+brew install coreutils
+ln -s "${BREW_PREFIX}/bin/gsha256sum" "${BREW_PREFIX}/bin/sha256sum"
+
+# Install some other useful utilities like `sponge`.
+brew install moreutils
+# Install GNU `find`, `locate`, `updatedb`, and `xargs`, `g`-prefixed.
+brew install findutils
+# Install GNU `sed`, overwriting the built-in `sed`.
+brew install gnu-sed --with-default-names
+# Install a modern version of Bash.
+brew install bash
+brew install bash-completion2
+
+# Switch to using brew-installed bash as default shell
+if ! fgrep -q "${BREW_PREFIX}/bin/bash" /etc/shells; then
+ echo "${BREW_PREFIX}/bin/bash" | sudo tee -a /etc/shells;
+ chsh -s "${BREW_PREFIX}/bin/bash";
+fi;
+
+# Install `wget` with IRI support.
+brew install wget --with-iri
+
+# Install GnuPG to enable PGP-signing commits.
+brew install gnupg
+
+# Install more recent versions of some macOS tools.
+brew install vim --with-override-system-vi
+brew install grep
+brew install openssh
+brew install screen
+brew install php
+brew install gmp
+
+# Install font tools.
+brew tap bramstein/webfonttools
+brew install sfnt2woff
+brew install sfnt2woff-zopfli
+brew install woff2
+
+
+# Install other useful binaries.
+brew install ack
+#brew install exiv2
+brew install git
+brew install git-lfs
+brew install gs
+brew install lua
+brew install p7zip
+brew install pigz
+brew install pv
+brew install rename
+brew install rlwrap
+brew install ssh-copy-id
+brew install tree
+brew install vbindiff
+brew install zopfli
+
+# Remove outdated versions from the cellar.
+brew cleanup \ No newline at end of file